Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class CollaborationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.compoze.collab.util.NestedException
                        |
                        +--com.compoze.collab.CollaborationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ContainerAlreadyExistsException, ContainerCycleException, ContainerNameException, ItemNotFoundException, LicenseException, MoveSourceIsTargetException, PermissionException, PropertyMissingException, ProviderException, SessionTimeoutException, StubException, UnresolvedRecipientsException

public class CollaborationException
extends com.compoze.collab.util.NestedException

Serves as the superclass of all exceptions thrown from the collaboration services API.

See Also:
  Serialized Form

Constructor Summary
`CollaborationException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs a CollaborationException and its CollaborationExceptionInfo.
`CollaborationException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs a CollaborationException and its CollaborationExceptionInfo.
`CollaborationException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs a CollaborationException and its CollaborationExceptionInfo.
`CollaborationException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs a CollaborationException and its CollaborationExceptionInfo.

Method Summary
`java.lang.String` | `getAdminMessage()` Gets a message that is suitable for display to an administrator.
`java.lang.String` | `getAdminResolution()` Gets a message that provides a suggested admin resolution for the exception.
`java.lang.String` | `getBaseKey()` Gets the base key for this exception.
`com.compoze.collab.resource.ResourceKey` | `getKey()` Gets the key for this exception.
`java.lang.String` | `getProgrammerMessage()` Gets a message that is suitable for display to a programmer.
`java.lang.String` | `getProgrammerResolution()` Gets a message that provides a suggested programmer resolution for the exception.
`java.lang.String` | `getUserMessage()` Gets a message that is suitable for display to an end user.
`java.lang.String` | `getUserResolution()` Gets a message that provides a suggested user resolution for the exception.
`static void` | `main(java.lang.String[] args)` Main.

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollaborationException

    public CollaborationException(com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs a CollaborationException and its CollaborationExceptionInfo.
  Parameters:
    `ctx` - Context for this exception (not `null`)
    `key` - the exception key in the resource file (not `null`)

### CollaborationException

    public CollaborationException(com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key,
                                  java.lang.Object param)

  Constructs a CollaborationException and its CollaborationExceptionInfo.
  Parameters:
    `ctx` - Context for this exception (not `null`)
    `key` - the exception key in the resource file (not `null`)
    `param` - the parameter to the exception message (not `null`) This can either be an `Object` or an `Object[]` if multiple parameters need to be specified.

### CollaborationException

    public CollaborationException(java.lang.Throwable t,
                                  com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs a CollaborationException and its CollaborationExceptionInfo.
  Parameters:
    `t` - the underlying exception
    `ctx` - Context for this exception (not `null`)
    `key` - the exception key in the resource file (not `null`)

### CollaborationException

    public CollaborationException(java.lang.Throwable t,
                                  com.compoze.collab.spi.Context ctx,
                                  com.compoze.collab.spi.ExceptionResourceKey key,
                                  java.lang.Object param)

  Constructs a CollaborationException and its CollaborationExceptionInfo.
  Parameters:
    `t` - the underlying exception
    `ctx` - Context for this exception (not `null`)
    `key` - the exception key in the resource file (not `null`)
    `param` - the parameter to the exception message (not `null`). This can either be an `Object` or an `Object[]` if multiple parameters need to be specified.

Method Detail

### getUserMessage

    public java.lang.String getUserMessage()

  Gets a message that is suitable for display to an end user.
  Returns:
    the user message

### getAdminMessage

    public java.lang.String getAdminMessage()

  Gets a message that is suitable for display to an administrator.
  Returns:
    the administrator message

### getProgrammerMessage

    public java.lang.String getProgrammerMessage()

  Gets a message that is suitable for display to a programmer.
  Returns:
    the programmer message

### getProgrammerResolution

    public java.lang.String getProgrammerResolution()

  Gets a message that provides a suggested programmer resolution for the exception.
  Returns:
    the programmer resolution

### getUserResolution

    public java.lang.String getUserResolution()

  Gets a message that provides a suggested user resolution for the exception.
  Returns:
    the user resolution

### getAdminResolution

    public java.lang.String getAdminResolution()

  Gets a message that provides a suggested admin resolution for the exception.
  Returns:
    the admin resolution

### main

    public static void main(java.lang.String[] args)

  Main. Exerciser for collaboration exception.
  Parameters:
    `args` - command line arguments

### getBaseKey

    public java.lang.String getBaseKey()

  Gets the base key for this exception.
  Returns:
    the base key for this exception (not `null`)

### getKey

    public com.compoze.collab.resource.ResourceKey getKey()

  Gets the key for this exception.
  Returns:
    the key for this exception (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.